//
//  SideMenuController.swift
//  SideBarMenuSwift3

import UIKit

class SideMenuController: UIViewController, UITableViewDelegate, UITableViewDataSource {

    var ContainerMainView: ContainerMainView!

    @IBOutlet var table: UITableView!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        table.dataSource = self
        table.delegate = self
    }


    func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        if(sidemenudelegate != nil)
        {
            sidemenudelegate!.toogle_side_menu!()
        }
        
        let destViewController = UIStoryboard(name: "Main", bundle: nil).instantiateViewController(withIdentifier: "HomeView") as! HomeView
        
        destViewController.example = indexPath.row.description
        
        self.ContainerMainView.centerNavigationController.pushViewController(destViewController, animated: true)
        
    }
    
    

    public func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int
    {
        return 10
    }
    
    public func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell
    {
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath) 
        
        cell.textLabel?.text = "Menu Element"
        
        return cell
    }
    

    public func numberOfSections(in tableView: UITableView) -> Int
    {
        return 1
    }

    
}
